@charset "utf-8";
/* Large devices (desktops, 992px and up) */
@media (max-width: 991px) { 

    html, body{
        overflow-x:hidden;
        overscroll-behavior-y: none;
        -webkit-overflow-scrolling: none;
        -moz-overflow-scrolling: none;
        height: -webkit-fill-available;
    }

    

}
/* END - Large devices (desktops, 992px and up) */
/*  */

/* Medium devices (tablets, 768px and up) */
@media (max-width: 767px) { 
    .container{
        max-width: 100%;
    }
    .header-wrapper{
        --logo-height: 45px;
        padding-bottom: 0;
    }
    .header-top-wrapper{
        padding-top: .375rem;
        padding-bottom: .375rem;
    }
    .header-top-text{
        display: none;
    }
    .header-main-wrapper .header-navigation-item:not( .header-navigation-item--order, .header-navigation-item-navmobile){
        display: none;
    }
    .header-logo{
        flex: 0 0 auto;
        width: auto;
    }
    .header-main-wrapper{
        flex: 1 0 0;
        width: auto;
        padding-right: calc(var(--bs-gutter-x) * .5);
    }
    .header-formsearch-wrapper{
        background-color: var( --color-hover);
        border-left: 3px solid #000; 
        margin-top: .65rem;
    }
    .header-form-container{
        width: 100%;
        background: none;
        border: none;
        padding-top: .25rem;
        padding-bottom: .25rem;
    }
    .header-form-submit{
        --bs-btn-bg: var( --color-bold);
        --bs-btn-border-radius: .275rem;
    }
    .header-navigation-item{
        padding-left: .35rem;
        padding-right: .35rem;
    }
    .header-navigation-item-navmobile{
        padding-right: 0;
    }
    .header-navigation-itemlink-order{
        height: 100%;
        border-radius: .325rem;
    }
    /********************************/
    .footer-info-wrapper {
        --bs-gutter-x: 0rem;
        --bs-gutter-y: 0rem;
        margin-bottom: 0;
    }
    .footer-info-overview{
        margin-bottom: .75rem;
        order: 1;
    }
    .footer-logo-img{
        height: 50px;
    }
    .footer-info-contact,
    .footer-info-about{
        width: 100%;
    }
    .footer-info-contact{
        order: 2;
        margin-bottom: 1.5rem;
    }
    .footer-info-contact .footer-title::marker{
        display: none;
    }
    .footer-info-about{
        order: 3;
    }
    .footer-info-policy{
        order: 4;
    }
    .footer-collapse .footer-staff-support-title, 
    .footer-collapse .footer-title{
        pointer-events: unset;
        list-style-type: disclosure-closed;
        font-size: 14px;
        margin-bottom: 0;
    }
    .footer-collapse[open] .footer-staff-support-title, 
    .footer-collapse[open] .footer-title{
        list-style-type: disclosure-open;
    }
    .footer-collapse {
        margin-bottom: 0;
        padding: .65rem 0;
        border-top: 1px solid rgba( 255, 255, 255, .5)
    }
    /********************************/
    .home-about-wrapper{
        padding-top: 2rem;
    }
    .home-about-content{
        text-align: left;
    }
    .home-about-title{
        font-size: 25px;
        color: var( --color-hover);
        --line-height: 30px;
        margin-bottom: .75rem;
    }
    .home-banner-category-wrapper{
        padding-top: 1rem;
        padding-bottom: 2rem;
    }
    .homecategory-item{
        width: 190px;
        padding: 0 .375rem;
    }
    .homecategory-itemlink{
        padding-bottom: .5rem;
    }
    .homecategory-itemlink > p{
        padding-left: .5rem;
        padding-right: .5rem;
    }
    .homecategory-title{
        font-size: 14px;
        line-height: 18px;
        margin-bottom: .65rem;
    }
    .home-product-category-wrapper{
        padding-bottom: 3rem;
        margin-bottom: 2rem;
    }
    .product-category-wrapper {
        --bs-gutter-y: 1.25rem;
        --bs-gutter-x: 1rem;
        font-weight: 300;
    }
    .homecategory-btn-readmore{
        padding: .2rem .75rem;
    }
    .product-category-picture{
        width: 65px;
    }
    .product-category-caption{
        width: calc( 100% - 65px );
        padding-left: .75rem;
    }
    /***************************/    
    .home-product-wrapper{
        margin-bottom: 2rem;
    }
    .product-box-list-wrapper {
        --bs-gutter-x: 1rem;
        --bs-gutter-y: .75rem;
    }
    .product-box-itembox{
        padding: .5rem;
    }
    /***************************/    
    .home-brand-wrapper{
        padding-top: 2rem;
        padding-bottom: 2rem;
    }
    .home-brand-wrapper header{
        margin-bottom: 1.5rem;
    }
    .home-brand-title{
        margin: 0;
        font-size: 19px;
    }
    .homebrand-item{
        width: 160px;
        padding: 0 .325rem;
    }
    .home-bloglist {
        --bs-gutter-x: 1.5rem;
        --bs-gutter-y: 1.25rem;
    }
    .blogitem-title{
        --font-size: 21px;
        line-height: 28px;
    }
    /***************************/    
    .pagecover-container{
        margin-bottom: 1.5rem;
    }
    .pagecover-container img{
        height: 28vh;
        object-fit: cover; object-position: center top;
    }
    .about-text-header{
        font-size: 27px;
        line-height: 34px;
        text-align: left;
    }
    .about-text-wrapper{
        margin-bottom: 1.5rem;
    }
    .about-post-service {
        --bs-gutter-x: 1.5rem;
        --bs-gutter-y: 1.5rem;
        margin-bottom: 2rem;
    }
    .about-brand-list {
        --bs-gutter-x: 1rem;
        --bs-gutter-y: 1rem;
        padding-bottom: 0rem;
    }
    /********************************/
    /********************************/
    .contact-info-title{
        --line-height: 34px;
        font-size: 23px;
    }
    .contact-info-wrapper{
        --bs-gutter-y: 1rem;
        margin-bottom: 2rem;
    }
    .contact-form-container{
        padding-top: 2rem;
    }
    /***************************/    
    body.page-product .header-wrapper{
        padding-bottom: .65rem;
    }
    body.page-product .header-formsearch-wrapper{
        display: none;
    }
    .product-filter-wrapper{
        padding-top: 1rem;
        padding-bottom: 1.25rem;
        margin-bottom: 1rem;
    }
    .product-filter-form{
        --bs-gutter-y: .75rem;
        max-width: auto;
        margin-left: calc(-.5 * var(--bs-gutter-x));
        margin-right: calc(-.5 * var(--bs-gutter-x));
    }
    .product-filter-form > *{
        flex: 0 0 auto;
        width: 100%;
    }
    .product-filter-form .form-control, .product-filter-form .form-select{
        font-size: 14px; line-height: 24px;
    }
    .product-filter-form-btn{
        background-color: #fff;
        width: 100%;
    }
    /********************************/
    body.page-policydetail .header-wrapper{
        margin-bottom: .25rem;
    }
    .policy-title,
    .policy-item-header{
        font-size: 15px;
        padding-top: .5rem;
        padding-bottom: .5rem;
    }
    /********************************/
    body.page-product{
        background-color: #fff;
    }
    .product-content-wrapper{
        padding: 0;
        box-shadow: none;
        min-height: 0;
        border-radius: 0;
        background: none;
    }
    /***************************/   
    .product-list-wrapper{
        font-size: 12px;
        --line-height: 16px;
        margin-bottom: 1.75rem;
        background-color: #fff;
    }
    .product-list-row > *{
        padding: .25rem;
    } 
    .product-list-col-photo{
        width: 60px;
    }
    .product-list-col-datasheet,
    .product-list-col-brand{
        display: none;
    }
    .product-list-col-model{
        width: 90px;
        border-right: none;
    }
    .product-list-name{
        font-size: 13px;
        --line-height: 20px;
    }
    .product-list-quote{
        --line-height: 18px;
    }
    .product-detail-content-technology-line--empty{
        display: none;
    }
    /********************************/
    .product-category-navitaion-wrapper{
        padding: .75rem 1rem;
        background-color: #f8f8f8;
        box-shadow: none;
        border: 1px solid #ccc;
    }
    .covertext-wrapper{
        padding-top: 1.75rem;
        padding-bottom: 1.75rem;
        border-top: 1px solid rgba( 255, 255, 255, .5);
        margin-bottom: 1rem;
        background-color: #eee; 
    }
    .covertext-title{
        font-size: 19px;
        line-height: 32px;
        color: #000;
    }
    .covertext-productdetail{
        display: none;
    }
    /********************************/
    .covertext-breadcrumb-wrapper{
        display: none;
    }
    .prodduct-detail-imglg-img{
        margin: 0 auto;
        text-align: center;
    }
    .prodduct-detail-img-img{
        max-width: 320px;
        display: inline-block !important;
    }
    .prodduct-detail-overview-img{
        margin-bottom: 1.5rem;
    }
    .prodduct-detail-overview-info{
        padding-left: calc(var(--bs-gutter-x) * .5);
    }
    .product-detail-btn{
        width: 100%;
    }
    /********************************/
    .product-detail-content-technology{
        flex-direction: column;
    }
    .product-detail-content-technology-line{
        width: 100%;
        border-bottom: 1px solid #ccc;
        border-left: none;
        border-top: none;
    }
    .product-detail-content-technology-line-label{
        width: 130px;
        border-left: none;
    }
    .product-detail-content-technology-line-value{
        width: calc( 100% - 130px);
    }
    .product-detail-content-technology > li:nth-child( 4n), .product-detail-content-technology > li:nth-child( 4n + 3){
        background: none;
    }
    .product-detail-content-technology-line-label, .product-detail-content-technology-line-value{
        padding: .375rem .55rem;
    }
    .product-detail-content-technology-line-contact .btn{
        width: 100%;
    }
    /********************************/
    .prodduct-detail-other{
        margin-top: 1.5rem;
        padding-top: 2rem;
    }
    /********************************/
    .orderpage-container{
        max-width: 100%;
        padding-right: calc(var(--bs-gutter-x)* .5);
        padding-left: calc(var(--bs-gutter-x)* .5);
    }
    .orderitem-wrapper{
        --width-img: 60px;
        font-size: 12px;
        padding: .75rem;
        margin-bottom: .75rem;
    }
    .orderitem-product-title{
        font-size: 13px;
        --line-height: 18px;
    }
    .orderitem-product-price .product-item-price-active{
        font-size: 13px;
    }
    .orderitem-product-priceqty-price{
        font-size: 14px;
    }
    .orderitem-btn{
        width: 100%;
        margin: .5rem 0 .25rem;
    }
    .orderitem-card{
        --bs-card-spacer-y: .65rem;
        --bs-card-spacer-x: .65rem;
    }
    .orderitem-payment-item{
        margin-bottom: .75rem;
    }
    .orderitem-payment-item-label{
        font-size: 14px;
        padding: .35rem .75rem;
    }
    .orderitem-payment-item-label img{
        margin-right: .5rem;
        height: 23px;
    }
    .orderitem-wrapper-confirm{
        margin-bottom: 0;
    }
    .orderitem-wrapper-confirm p{
        margin-bottom: .075rem;
    }
    .orderitem-wrapper-confirm .orderitem-product-title{
        font-size: 13px;
    }
    .orderitem-wrapper-confirm .orderitem-product-price,
    .orderitem--header.orderitem-wrapper-confirm{
        display: none;
    }
    .orderitem-wrapper-confirm .orderitem-product{
        width: calc( 100% - var( --width-img ) );
        flex-direction: column;
    }
    .orderitem-wrapper-confirm .orderitem-product-info{
        width: 100%;
    }
    .orderitem-card-customer-confirm .card-body{
        --bs-gutter-y: 1rem
    }
    .orderitem-qty{
        text-align: left;
        padding-left: 0;
    }
    .orderitem-card-payment-qrcode .card-header{
        font-size: 14px;
    }
    /********************************/
    .order-alert-note{
        font-size: 13px; 
        line-height: 20px;
    }
    /********************************/
    .qty-wrapper input{
        width: 100%;
    }
    /***************************/    
    .bloglist-wrapper {
        --bs-gutter-x: 0rem;
        --bs-gutter-y: 1.5rem;
        margin-bottom: 2rem;
    }
    .bloglist-wrapper  > *{
        padding-bottom: 1.5rem;
        border-bottom: 1px solid #ccc;
    }
    .bloglist-wrapper  > *:last-child{
        border-bottom: none;
        padding-bottom: 0;
        margin-bottom: 0;
    }
    /***************************/  
    body.blogdetail{
        background-color: #fff;
    } 
    .blogdetail-container{
        margin: 0 0 1.5rem;
        padding: 0 calc(var(--bs-gutter-x) * .5);
        border-radius: 0;
        box-shadow: none;
    }
    .blogdetail-other-wrapper{
        background-color: #f2f2f2;
        padding-top: 2;
        padding-bottom: 3;
    }
    /***************************/ 
    .contact-info-dcontent p, .contact-info-wrapper p{
        margin-bottom: .5rem;
    }
    .contact-form-container{
        margin-bottom: 3rem;
    }   
    /********************************/
    .widget-btnshare-item{
        padding-left: .35rem;
        padding-right: .35rem;
    }
    .widget-btnshare-link span{
        display: none;
    }
    /***************************/    

}
/* END - Medium devices (tablets, 768px and up) */
/*  */


/* Small devices (landscape phones, 576px and up) */
@media (max-width: 575px) { 
    
}
/* END - Small devices (landscape phones, 576px and up) */
/*  */

/* Medium devices (tablets & Large devices, 768px and 991) */
@media (min-width: 767px ) and (max-width: 991px) { 
    .container{
        max-width: 96%;
    }
    /********************************/
    .header-top-wrapper{
        padding-top: .5rem;
        padding-bottom: .5rem;
    }
    .header-wrapper{
        --logo-height: 50px
    }
    .header-main-wrapper .header-navigation-item:not( .header-navigation-item--order, .header-navigation-item-navmobile){
        display: none;
    }
    .header-logo{
        flex: 0 0 auto;
        width: auto;
        order: 1;
    }
    .header-main-wrapper{
        flex: 0 0 auto;
        width: auto;
        padding-right: calc(var(--bs-gutter-x) * .5);
        order: 3;
    }
    .header-navigation-item{
        padding-left: .5rem;
        padding-right: .5rem;
    }
    .header-navigation-item--order{
        padding-left: 0;
    }
    .header-formsearch-wrapper{
        order: 2;
        margin-left: auto;
        padding-right: .35rem;
    }
    .header-navigation-item-navmobile{
        padding-right: 0;
    }
    /********************************/
    .footer-info-overview{
        width: 100%;
    }
    .footer-info-dcontent{
        padding-bottom: 1rem;
        border-bottom: 1px solid rgba( 255, 255, 255, .75);
    }
    .footer-info-about,
    .footer-info-policy{
        flex: 1 0 0 ;
        width: auto;
    }
    .footer-info-contact{
        width: 300px;
    }
    /********************************/
    .about-text-header{
        text-align: left;
        font-size: 27px;
    }
    .about-post-service {
        --bs-gutter-x: 2rem;
        --bs-gutter-y: 2rem;
    }
    .about-brand-list{
        --bs-gutter-x: 1.5rem;
        --bs-gutter-y: 1rem;
        margin-bottom: 0;
    }
    .about-box-item-title{
        font-size: 19px;
        font-weight: bold;
    }
    .pageabout-brand{
        margin-bottom: 3.5rem;
    }

    /********************************/
    .home-about-wrapper{
        padding-top: 2rem;
    }
    .home-banner-category-wrapper{
        padding-top: 1rem;
        padding-bottom: 1.5rem;
    }
    .home-product-category-wrapper{
        padding-bottom: 2rem;
        margin-bottom: 2rem;
    }
    .homecategory-item{
        padding: 0 .5rem;
        width: 220px;
    }
    .homecategory-title{
        font-size: 14px;
    }
    .product-category-picture{
        width: 62px;
    }
    .product-category-caption{
        width: calc( 100% - 62px);
    }
    /********************************/
    .product-box-list-wrapper {
        --bs-gutter-x: .75rem;
        --bs-gutter-y: .75rem;
    }
    .product-box-item-picture{
        width: 80px;
    }
    .product-box-item-caption{
        width: calc( 100% - 80px);
    }
    /********************************/
    .home-brand-wrapper{
        padding-top: 2rem;
        padding-bottom: 1.5rem;
    }
    /********************************/
    .orderpage-container{
        max-width: 96%;
        padding-right: calc(var(--bs-gutter-x)* .5);
        padding-left: calc(var(--bs-gutter-x)* .5);
    }
    .orderitem-card-customer .form-label{
        font-weight: 700;
    }
    .orderitem-wrapper-confirm.orderitem--footer{
        padding-top: .25rem;
        border-bottom: none;
        margin-bottom: 0;
    }
    /********************************/
    .covertext-wrapper{
        padding-top: 2rem;
        padding-bottom: 2rem;
        margin-bottom: 2rem;
        /* background-color: #eee;  */
    }
    .covertext-title{
        font-size: 23px;
        line-height: 32px;
    }
    /********************************/
    .product-list-col-photo{
        width: 80px;
    }
    .product-list-col-brand{
        width: 150px;
    }
    .product-list-col-model{
        width: 100px;
    }
    .product-list-col-datasheet{
        width: 100px;
    }
    /********************************/
    .product-template-content{
        margin-bottom: 1.5rem;
    }
    /********************************/
    .product-detail-btn{
        width: 100%;
    }
    .product-detail-action-addtocart-buynow{
        width: 100%;
    }
    .product-detail-action-addtocart-phone,
    .product-detail-action-addtocart-zalo{
        width: 50%;
    }
    .product-detail-content-technology-line--empty{
        display: none;
    }
    /********************************/
    .product-detail-content-technology{
        flex-direction: column;
    }
    .product-detail-content-technology-line{
        width: 100%;
        border-bottom: 1px solid #ccc;
        border-left: none;
        border-top: none;
    }
    .product-detail-content-technology-line-label{
        width: 210px;
        border-left: none;
    }
    .product-detail-content-technology-line-value{
        width: calc( 100% - 210px);
    }
    .product-detail-content-technology > li:nth-child( 4n), 
        .product-detail-content-technology > li:nth-child( 4n + 3){
        background: none;
    }
    .product-detail-content-technology-line-label, .product-detail-content-technology-line-value{
        padding: .375rem .55rem;
    }
    .product-detail-content-technology-line-contact .btn{
        width: 100%;
    }
    /********************************/
    .prodduct-detail-other{
        margin-top: 3rem;
        padding-top: 3rem;
        padding-bottom: 3rem;
    }
    .prodduct-detail-other .product-content-wrapper{
        background-color:transparent;
        padding: 0;
        box-shadow: none;
        border-radius: 0;
    }
    .product-list-wrapper--other{
        background-color: #fff;
    }
    /********************************/
    .covertext-productdetail .covertext-breadcrumb .covertext-breadcrumb-item:last-child{
        display: none;
    }
    /********************************/
    .blogdetail-container{
        padding: 1.5rem 2rem;
    }
    /********************************/
    /********************************/
    /********************************/
}
/* END - Medium devices (tablets & Large devices, 768px and 991) */
/*  */


/* Medium devices (Large devices, 991px and 1200) */
@media (min-width: 992px ) and (max-width: 1200px) { 
    .container{
        max-width: 96%;
    }
    .header-top-wrapper{
        padding-top: .75rem;
        padding-bottom: .75rem;
    }
    .header-navigation-listnav{
        font-size: 13px;
        font-weight: 500;
    }
    .header-wrapper--row{
        --bs-gutter-x: 1rem;    
    }
    .header-wrapper{
        --logo-height: 55px;
    }
    .header-logo{
        width: 200px;
    }
    .header-navigation-item{
        padding: 0 1.25rem;
    }
    .header-form-container{
        width: 160px;
    }
    .header-navigation-item--order{
        padding-right: 0;
    }
    /********************************/
    .footer-info-overview{
        width: 320px;
    }
    .footer-info-about{
        width: 150px;
    }
    .footer-info-contact{
        width: 280px;
    }
    /********************************/
    .home-banner-category-wrapper{
        padding-top: 1.5rem;
        padding-bottom: 2rem;
    }
    .homecategory-item{
        padding-left: .5rem;
        padding-right: .5rem;
    }
    .homecategory-title{
        font-size: 14px;
    }
    .product-category-caption{
        padding-left: .75rem;
    }
    .product-category-title{
        font-size: 13px; line-height: 18px;
    }
    /********************************/
    .home-product-wrapper{
        margin-bottom: 2rem;
    }
    .product-box-list-wrapper {
        --bs-gutter-x: .75rem;
        --bs-gutter-y: .75rem;
    }
    .product-box-item-picture{
        width: 80px;
    }
    .product-box-item-caption{
        width: calc( 100% - 80px);
    }
    /********************************/
    .home-bloglist {
        --bs-gutter-x: 1rem;
        --bs-gutter-y: 1rem;
    }
    /********************************/
    .covertext-wrapper{
        padding-top: 3.5rem;
        padding-bottom: 3.5rem;
        margin-bottom: 2rem;
    }
    /********************************/
    .product-list-col-photo{
        width: 80px;
    }
    .product-list-col-brand{
        width: 150px;
    }
    .product-list-col-model{
        width: 100px;
    }
    .product-list-col-datasheet{
        width: 100px;
    }
    /********************************/
}
/* END - Medium devices (tablets & Large devices, 768px and 991) */
/*  */

/* X-Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) { 
    
 }
/* X-Large devices (large desktops, 1200px and up) */
/*  */
@media (min-width: 1200px) and (max-width: 1300px) { 

    .header-navigation-item{
        padding: 0 1.25rem;
    }

}
@media (min-width: 1200px) and (max-width: 1400px) { 
    .container, .container-lg, .container-md, .container-sm, .container-xl{
        max-width: 92%;
    }

}

/* XX-Large devices (larger desktops, 1400px and up) */
@media (min-width: 1400px) { 

 }
 /* END - XX-Large devices (larger desktops, 1400px and up) */
